Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze.plugins.frl.FRL Class Reference

## Public Member Functions
| __init__ (self, disptype=settings.DISPTYPE, pos='centre', dist=125, size=200)

## Public Attributes
| pos = pos
| dist = dist
| size = size
tuple | frlxdis = ((self.dist**2)/2)**0.5
tuple | frlydis = ((self.dist**2)/2)**0.5
tuple | frlcor = (0, 0)
str | disptype = disptype
| frl = Aperture(pygaze.expdisplay, self.size, pos=pos2psychopos(self.frlcor), shape='circle', units='pix')

## Detailed Description

    Gaze contingent FRL

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze.plugins.frl.FRL.__init__ | ( |  | self,
|  |  | disptype = settings.DISPTYPE,
|  |  | pos = 'centre',
|  |  | dist = 125,
|  |  | size = 200 )

    Initializes FRL object

            arguments
            None

            keyword arguments
            disptype    --  display type, either 'psychopy' or 'pygame'
                        (default = DISPTYPE)
            pos     --  a string indicating the FRL position in relation to
                        gaze position; allowed are 'centre', 'top',
                        'topright', 'right', 'bottomright', 'bottom',
                        'bottomleft', 'left', 'topleft' (default =
                        'centre')
            dist        --  distance between gaze position and FRL center in
                        pixels (default = 125)
            size        --  FRL diameter in pixels (default = 200)

## Member Data Documentation

## ◆ disptype

str pygaze.plugins.frl.FRL.disptype = disptype

## ◆ dist

pygaze.plugins.frl.FRL.dist = dist

## ◆ frl

pygaze.plugins.frl.FRL.frl = Aperture(pygaze.expdisplay, self.size, pos=pos2psychopos(self.frlcor), shape='circle', units='pix')

## ◆ frlcor

tuple pygaze.plugins.frl.FRL.frlcor = (0, 0)

## ◆ frlxdis

tuple pygaze.plugins.frl.FRL.frlxdis = ((self.dist**2)/2)**0.5

## ◆ frlydis

tuple pygaze.plugins.frl.FRL.frlydis = ((self.dist**2)/2)**0.5

## ◆ pos

pygaze.plugins.frl.FRL.pos = pos

## ◆ size

pygaze.plugins.frl.FRL.size = size

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/plugins/frl.py